curl --request POST \
--url https://api.getcortexapp.com/api/v1/auth/key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Entities scanner",
"roles": [
{}
],
"description": "API Key used for entities scanner script",
"expirationDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.getcortexapp.com/api/v1/auth/key"
payload = {
"name": "Entities scanner",
"roles": [{}],
"description": "API Key used for entities scanner script",
"expirationDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Entities scanner',
roles: [{}],
description: 'API Key used for entities scanner script',
expirationDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.getcortexapp.com/api/v1/auth/key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiKey": "3WpQ3WpQ3WpQ3WpQ",
"roles": [
{
"role": "READ_ONLY",
"type": "DEFAULT"
}
],
"description": "API Key used for entities scanner script",
"expirationDate": "2023-11-07T05:31:56Z",
"name": "Entities scanner"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Create API key
Create new API key.
The API key used to make the request must have the Edit API keys permission
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
Name of the API key
"Entities scanner"
Roles assigned to the API key
Roles assigned to the API key
- Option 1
- Option 2
Show child attributes
Show child attributes
Description of the API key
"API Key used for entities scanner script"
Expiration date of the API key. Format: ISO8601 with timezone offset
Response
Successfully created API key
Value of the API key created. You will not be able to see this key again
"3WpQ3WpQ3WpQ3WpQ"
Roles assigned to the API key
Roles assigned to the API key
- Option 1
- Option 2
Show child attributes
Show child attributes
Description of the API key
"API Key used for entities scanner script"
Expiration date of the API key
Name of the API key
"Entities scanner"